h1 {
  font-size: 36px;
  margin-bottom: 30px;
}

main {
  min-height: calc(100vh - 152px);
}

.poster-top {
  padding-top: 120px;
  color: #fff;
}

.poster-info {
  display: flex;
  gap: 20px;
  font-size: 36px;
}

.info-row {
  font-size: 18px;
  margin-bottom: 15px;
	gap:10px;
  display:flex;
  align-items:center;
}



*,
*:before,
*:after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.buttons {
  margin-top: 50px;
  border-radius: 30px;
}
.blob-btn {
  text-decoration: none;
  z-index: 1;
  position: relative;
  padding: 20px 46px;
  margin-bottom: 30px;
  text-align: center;
  text-transform: uppercase;
  color: #1a73e8;
  font-size: 16px;
  font-weight: bold;
  background-color: transparent;
  outline: none;
  border: none;
  transition: color 0.5s;
  cursor: pointer;
  border-radius: 30px;
}
.blob-btn:before {
  content: "";
  z-index: 1;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border: 2px solid #1a73e8;
  border-radius: 30px;
}
.blob-btn:after {
  content: "";
  z-index: -2;
  position: absolute;
  left: 3px;
  top: 3px;
  width: 100%;
  height: 100%;
  transition: all 0.3s 0.2s;
  border-radius: 30px;
}
.blob-btn:hover {
  color: #fff;
  border-radius: 30px;
}
.blob-btn:hover:after {
  transition: all 0.3s;
  left: 0;
  top: 0;
  border-radius: 30px;
}
.blob-btn__inner {
  z-index: -1;
  overflow: hidden;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  border-radius: 30px;
  background: transparent;
}
.blob-btn__blobs {
  position: relative;
  display: block;
  height: 100%;
  filter: url("#goo");
}
.blob-btn__blob {
  position: absolute;
  top: 2px;
  width: 25%;
  height: 100%;
  background: #1a73e8;
  border-radius: 100%;
  transform: translate3d(0, 150%, 0) scale(1.7);
  transition: transform 0.45s;
}

@supports (filter: url("#goo")) {
  transform: translate3d(0, 150%, 0) scale(1.4);
}
.blob-btn__blob:nth-child(1) {
  left: 0%;
  transition-delay: 0s;
}
.blob-btn__blob:nth-child(2) {
  left: 30%;
  transition-delay: 0.08s;
}
.blob-btn__blob:nth-child(3) {
  left: 60%;
  transition-delay: 0.16s;
}
.blob-btn__blob:nth-child(4) {
  left: 90%;
  transition-delay: 0.24s;
}
.blob-btn:hover .blob-btn__blob {
  transform: translateZ(0) scale(1.7);
}
@supports (filter: url("#goo")) {
  transform: translateZ(0) scale(1.4);
}

.post-content {
  color: #fff;
}

.post-content .container {
  display: block;
  overflow: hidden;
}

h2 {
  text-align: center;
  font-size: 36px;
  margin-bottom: 30px;
}

.post-content p {
  font-size: 18px;
  line-height: 21px;
}

.swiper {
  width: 340px;
  height: 470px;
}

.swiper-slide {
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 18px;
  font-size: 22px;
  font-weight: bold;
  color: #fff;
}

.swiper-slide:nth-child(1n) {
  background-color: rgb(206, 17, 17);
}

.swiper-slide:nth-child(2n) {
  background-color: rgb(0, 140, 255);
}

.swiper-slide:nth-child(3n) {
  background-color: rgb(10, 184, 111);
}

.swiper-slide:nth-child(4n) {
  background-color: rgb(211, 122, 7);
}

.swiper-slide:nth-child(5n) {
  background-color: rgb(118, 163, 12);
}

.swiper-slide:nth-child(6n) {
  background-color: rgb(180, 10, 47);
}

.swiper-slide:nth-child(7n) {
  background-color: rgb(35, 99, 19);
}

.swiper-slide:nth-child(8n) {
  background-color: rgb(0, 68, 255);
}

.swiper-slide:nth-child(9n) {
  background-color: rgb(218, 12, 218);
}

.swiper-slide:nth-child(10n) {
  background-color: rgb(54, 94, 77);
}

.poster-info__img img {
  max-width: 250px;
  height: auto;
  width: 100%;
}

.swiper img {
  width: 100%;
  height: 100%;
}

.post-content p {
  line-height: 30px;
}

iframe {
  margin: 50px auto;
  display: block;
}

@media (max-width: 600px) {
  .poster-info {
    flex-direction: column;
  }

  .poster-info__img img {
    max-width: 100%;
  }

  .post-content {
    margin-top: -100px;
  }
}

@media (max-width: 500px) {
  .swiper {
    width: 240px;
    height: 370px;
  }
}
